BinomialDoubleBarrierEngine< T, D > Class Template Reference
Pricing engines » Barrier option engines

Pricing engine for double barrier options using binomial trees. More...

`#include <ql/experimental/barrieroption/binomialdoublebarrierengine.hpp>`

Inheritance diagram for BinomialDoubleBarrierEngine< T, D >:
[legend]

## Public Member Functions

| BinomialDoubleBarrierEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process, Size timeSteps)
void | calculate () const
Public Member Functions inherited from GenericEngine< DoubleBarrierOption::arguments, DoubleBarrierOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()

## Additional Inherited Members

Protected Member Functions inherited from DoubleBarrierOption::engine
bool | triggered (Real underlying) const
Protected Attributes inherited from GenericEngine< DoubleBarrierOption::arguments, DoubleBarrierOption::results >
DoubleBarrierOption::arguments | arguments_
DoubleBarrierOption::results | results_

## Detailed Description

### template<class T, class D = DiscretizedDoubleBarrierOption>
class QuantLib::BinomialDoubleBarrierEngine< T, D >

Pricing engine for double barrier options using binomial trees.

Note
  This engine requires a the discretized option classes. By default uses a standard binomial implementation, but it can also work with DiscretizedDermanKaniDoubleBarrierOption to implement a Derman-Kani optimization.

Tests:
  the correctness of the returned values is tested by checking it against analytic results.